<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class LocalizedName extends \Google\Protobuf\Internal\Message
{
    


    protected $lg = null;
    


    protected $lc = null;
    


    protected $verifiedName = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getLg()
    {
        return isset($this->lg) ? $this->lg : '';
    }

    public function hasLg()
    {
        return isset($this->lg);
    }

    public function clearLg()
    {
        unset($this->lg);
    }

    




    public function setLg($var)
    {
        GPBUtil::checkString($var, True);
        $this->lg = $var;

        return $this;
    }

    



    public function getLc()
    {
        return isset($this->lc) ? $this->lc : '';
    }

    public function hasLc()
    {
        return isset($this->lc);
    }

    public function clearLc()
    {
        unset($this->lc);
    }

    




    public function setLc($var)
    {
        GPBUtil::checkString($var, True);
        $this->lc = $var;

        return $this;
    }

    



    public function getVerifiedName()
    {
        return isset($this->verifiedName) ? $this->verifiedName : '';
    }

    public function hasVerifiedName()
    {
        return isset($this->verifiedName);
    }

    public function clearVerifiedName()
    {
        unset($this->verifiedName);
    }

    




    public function setVerifiedName($var)
    {
        GPBUtil::checkString($var, True);
        $this->verifiedName = $var;

        return $this;
    }

}

